### Function

# GLib printerr

#### Declaration [src]

    void
    g_printerr (
      const gchar* format,
      ...
    )

#### Description [src]

Outputs a formatted message via the error message handler.

The default handler outputs the encoded message to `stderr`, without appending a trailing new-line character. Typically, `format` should end with its own new-line character.

This function should not be used from within libraries. Instead `g_log()` or `g_log_structured()` should be used, or the convenience macros `g_message()`, `g_warning()` and `g_error()`.

This function is not directly available to language bindings.

#### Parameters

`format`

  Type: `const gchar*`

  The message format. See the `printf()` documentation.

  The data is owned by the caller of the function.
  The value is a NUL terminated UTF-8 string.

`...`

  Type: ``

  The parameters to insert into the format string.